/***************************************************************************
 * songkey.h: implementation of TabProperties class
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef SONGKEY_H
#define SONGKEY_H

#include <QChar>

class SongKey
{
public:
	SongKey();
	virtual ~SongKey();
	
	virtual void clone(const SongKey* key);
	
	virtual void setKey(QChar c);
	virtual QChar key() const;
	virtual char asciiCodeOfKey() const;
	virtual QString nameOfKey() const;
	
	virtual void setMinor(bool i);
	virtual bool isMinor() const;
	
	virtual bool operator==(const SongKey& songKey) const;
	virtual bool operator!=(const SongKey& songKey) const;
	
private:
	QChar k;
	bool minorClef;
};

#endif
